to.ly- URL shortener Version History

2 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 1.0.3 14.3 kB Works with Firefox 1.5 and later

New version compatible with firefox 3.6.x

Version 1.0.2 10.2 kB Works with Firefox 1.5 - 3.5.*

Updated to 3.5